%define __distdep %(rpm -qf /etc/redhat-release | sed 's/-[^-]*$//' | head -1)
%define __distpkg %(echo %{__distdep} | sed 's/-[^-]*$//')
%define __distvers %(echo %{__distdep} | sed 's/.*-//' | tr -d '[:alpha:]')
%define __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' /etc/redhat-release | tr -d '[:space:]' | cut -c 1-4 | tr '[:upper:]' '[:lower:]')
%define __perl_version %(eval "`perl -V:version`"; echo $version)
%define __perl_package Mail-Sender

Summary:	%{__perl_package} module for perl 
Name:		perl-%{__perl_package}
Version:	0.8.10
Release:	3.%{__distinit}%{__distvers}
License:	GPL or Artistic
Group:		Applications/CPAN
Source0:	%{__perl_package}-%{version}.tar.gz
Source1:	Sender.config
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
Requires:	%{__distpkg} >= %{__distvers}, perl >= %{__perl_version}

%description
Mail::Sender - module for sending mails with attachments through an SMTP server

%prep
%setup -q -n %{__perl_package}-%{version}
# remove Win32 bit that creates bad dependency
fgrep -v Win32 MANIFEST > MANIFEST.rpm
%{__mv} MANIFEST MANIFEST.orig
%{__mv} MANIFEST.rpm MANIFEST
%{__rm} -f Sender/CType/Win32.pm

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
echo CFG > Config # Don't run Config.PL
%{__make}
%{__cp} -p %{SOURCE1} blib/lib/Mail
%{__make} test

%clean
%{__rm} -rf $RPM_BUILD_ROOT
                                                                                                                 
%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec %{__rm} -v {} \;

find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
    %{__sed} "s@^$RPM_BUILD_ROOT@@g" | \
    grep -v perllocal.pod | \
    grep -v "\.packlist" > %{__perl_package}-%{version}-filelist
if [ "$(%{__cat} %{__perl_package}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{__perl_package}-%{version}-filelist
%defattr(-,root,root)
%doc README* MANIFEST

%changelog
* Thu Apr 15 2004 Paul Howarth <paul@city-fan.org> 0.8.10-3
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system. In such cases, just
  rebuild from the source RPM.
- Changed distribution-identifying macros for greater portability.

* Mon Feb 16 2004 Paul Howarth <paul@city-fan.org> 0.8.10-2
- Unified spec file for Red Hat and Fedora Core

* Fri Dec 12 2003 Paul Howarth <paul@city-fan.org> 0.8.10-1.fc1
- More macros
- Added Fedora Core version to RPM release ID

* Wed Nov 26 2003 Paul Howarth <paul@city-fan.org> 0.8.10-1
- Updated to 0.8.10

* Mon Nov 24 2003 Paul Howarth <paul@city-fan.org> 0.8.00-2
- Updated to Fedora Core 1

* Tue Oct 15 2002 Paul Howarth <paul@city-fan.org> 0.8.00-1
- Initial build
